Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problem installing KDE
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
cdavidson
n00b
n00b


Joined: 15 May 2005
Posts: 35
Location: Staring at the screen

PostPosted: Mon May 16, 2005 12:36 am    Post subject: problem installing KDE Reply with quote

I just got X succesfully installed after my first Gentoo install. Naturally, my next move was to install KDE. I'm following the directions for KDE install on the Gentoo site. I issued this command:

Code:

emerge kdebase kdeadmin kdenetwork kdeartwork kdegames kdegraphics kdemultimedia kdepim kdesdk kdeutils


It's going along fine, and then I get an error. This is the relevant portion of the output.

Code:

checking for correct ltmain.sh version... no

*** Gentoo sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.16, ltmain.sh = 1.5) ***

Please run:

  libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.


!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/lcms-1.13/work/lcms-1.13/config.log

!!! ERROR: media-libs/lcms-1.13 failed.
!!! Function econf, Line 485, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.


When I run libtoolize --copy --force like the error message says, I get this:
Code:

libtoolize: `configure.ac' does not exist
Try `libtoolize --help' for more information.


What can I do to get past this? Thanks in advance...
Back to top
View user's profile Send private message
moocha
Watchman
Watchman


Joined: 21 Oct 2003
Posts: 5722

PostPosted: Mon May 16, 2005 1:04 am    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-337737.html
elibtoolize dupe of:
https://forums.gentoo.org/viewtopic-t-335951.html
_________________
Military Commissions Act of 2006: http://tinyurl.com/jrcto

"Those who would give up essential liberty to purchase a little temporary safety deserve neither liberty nor safety."
-- attributed to Benjamin Franklin
Back to top
View user's profile Send private message
cdavidson
n00b
n00b


Joined: 15 May 2005
Posts: 35
Location: Staring at the screen

PostPosted: Mon May 16, 2005 1:24 am    Post subject: Reply with quote

Thanks for the reply moocha...

I must be really new to Gentoo. I read the forum thread that you posted. I know that I am aupposed to add the lines:

Code:

src_compile() {

   libtoolize --copy --force

   econf || die
   emake || die


to a file, but which file? If I'm getting the error running emerge kdebase, which file do edit with those lines of code to make it work?
Back to top
View user's profile Send private message
tryn
Guru
Guru


Joined: 21 Dec 2002
Posts: 320
Location: 39.885° N. -88.913° W.

PostPosted: Mon May 16, 2005 2:47 am    Post subject: Reply with quote

cdavidson

I will try and help you.

first do this
bash-2.05b# cd /usr/portage/gnome-base/libghttp

then do this
bash-2.05b# nano -w libghttp-1.0.9-r4.ebuild

Then edit the file if you know how to do it with ( nano ) and not mess up.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum